  html {
    height: 100%;
  }
  
  body {
    background: #1d2d2b;
    display: flex;
    align-items: center;
    min-height: 100%;
  }
  

  label {
    height: 35px;
    position: relative;
    color: #8798AB;
    display: block;
    margin-top: 30px;
    margin-bottom: 20px;
  }
  
  label > span {
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 100%;
    font-weight: 300;
    line-height: 32px;
    color: #8798AB;
    border-bottom: 1px solid #586A82;
    transition: border-bottom-color 200ms ease-in-out;
    cursor: text;
    pointer-events: none;
  }
  
  label > span span {
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: 0% 50%;
    transition: transform 200ms ease-in-out;
    cursor: text;
  }
  
  label .field.is-focused + span span,
  label .field:not(.is-empty) + span span {
    transform: scale(0.68) translateY(-36px);
    cursor: default;
  }
  
  label .field.is-focused + span {
    border-bottom-color: #6772e5;
  }
  
  .field {
    background: transparent;
    font-weight: 300;
    border: 0;
    color: white;
    outline: none;
    cursor: text;
    display: block;
    width: 70%;
    line-height: 32px;
    padding-bottom: 3px;
    transition: opacity 200ms ease-in-out;
  }
  
  .field::-webkit-input-placeholder { color: #8898AA; }
  .field::-moz-placeholder { color: #8898AA; }
  
  /* IE doesn't show placeholders when empty+focused */
   .field:-ms-input-placeholder { color: #424770; }
  
  .field.is-empty:not(.is-focused) {
    opacity: 0;
  }
  

 
  .outcome {
    float: left;
    width: 100%;
    padding-top: 8px;
    min-height: 20px;
    text-align: center;
  }
  
  .success {
    display: none;
    font-size: 15px;
  }
  
  .success.visible, .error.visible {
    display: inline;
  }
  
  .error {
    color: #E4584C;
  }
  
  .success {
    color: #34D08C;
  }
  
  .success .token {
    font-weight: 500;
    font-size: 15px;
  }